Subject: RE: [Techspec] Requirement about pre-aaproved (or consensus reach ed) text in doc uments

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 17 Nov 2005 00:27:41 +0100

Bob, sorry to hear you read this as an "attack or accusation of RFC-Editor".
That is totally not the intend of my posting. I appologize if my choice of
words made you think I was poiting fingers.

Clearly we have had several cases where such editing does happen. Some of it
were accidents/errors (those can always happen, no matter what requirements
or procedures we formulate), but some of it happen because the RFC-Editor
does not know.

So I think we have a requirement that
- such text blocks that MUST NOT be edited/changed do exist
  (and not just boiler plate)
- we can specify to the publisher which these blocks are in
  an authoritative manner

Bert 

> -----Original Message-----
> From: Bob Braden [mailto:[email-masked]]
> Sent: Wednesday, November 16, 2005 20:36
> To: [email-masked]; [email-masked]
> Subject: Re: [Techspec] Requirement about pre-aaproved (or consensus
> reached) text in doc uments
> 
> 
> 
>  
>   *> 
>   *> Not sure how to word this. But I think we have a requirement that
>   *> the RFC-editing/publication function does leave alone text in
>   *> approved internet-drafts that has been "pre-approved" or 
> has reached
>   *> "wide consensus" before the doc gets to the Approved state.
>   *> 
> 
> I don't see what's hard.  Pre-approved IETF boilerplate should not
> be further edited.  This is one of those "yes, of course" 
> requirements,
> that seem to go without saying.  It is equivalent to "Don't 
> do anything
> stupid".  And of course the RFC Editor (for example ;-)) follows this
> policy (except when we screw up, but we already apologized to you
> for the most recent case and corrected it).
> 
> Does every error the RFC Editor makes have to be made into a federal
> case?  Is that the function of this group?
> 
> Bob Braden
> 

_______________________________________________
Techspec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/techspec

---

From: Thomas Narten <[email-masked]>
Date: Thu, 17 Nov 2005 08:55:07 -0500

> - we can specify to the publisher which these blocks are in

I think this is a bad approach. Too complicated in practice and extra
work. Plus, I suspect there will be a temptation to flag too much text
in this manner (i.e., easier to flag it than deal with potentially
changing it).

What I suspect would work better in practice is for the
author/editor/AD to be able to come back after the fact and say "this
was contentious text, please revert it back to the original, if
imperfect form".  And have that be the end of it.

A key question here are "how often does this happen in practice"
(i.e., occasionally, on some text, or frequently and with much
text). If the former, I think we'd be better off dealing with such
occurances after the fact (as exceptions) rather than as the common
case that must be proactively anticipated.

Thomas

---

From: "Margaret Wasserman" <[email-masked]>
Date: Thu, 17 Nov 2005 11:20:22 -0500

Actually, I think that there is a more positive/constructive approach to the
particular case of IETF-mandated boilerplate.  In this case, we should be
able to tell the RFC editor which boilerplate is required in which types of
documents.  The RFC editor should be able to add this information to the
style guide that is communicated to our copy editors, and the copy editors
should be instructed not to change the template text.

On a related note -- would the RFC Editor be willing to share that style
guide with the community?  I think that this would have two benefits:  (1)
author/editors could attempt to comply with the style guide, resulting in
fewer changes later, and (2) the community might be able to provide some
feedback on the style guide to help us avoid repeated problems (like this
one) in the future.

Margaret

> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Thomas Narten
> Sent: Thursday, November 17, 2005 8:55 AM
> To: Wijnen, Bert (Bert)
> Cc: Bob Braden; Techspec (E-mail)
> Subject: Re: [Techspec] Requirement about pre-aaproved (or consensus reach
> ed)text in doc uments
>